/v1/user-screening

User screening endpoint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This optional endpoint lets the Partner verify that an end-user’s provided cryptocurrency address is correctly formatted and supported for the specified asset before proceeding with the transaction.

Request

POST /v1/user-screening

ParameterTypeLocationRequiredDescription
AuthorizationstringHeaderYesYour API key.
X-Request-SignaturestringHeaderYesSignature of the request body. See Signing Requests.
crypto_currencystringBodyYesCryptocurrency of the address.
wallet_addressstringBodyYesWallet address to screen.

Request example

{
  "crypto_currency": "ETH",
  "wallet_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
}

Response

200 OK

FieldTypeDescription
is_approvedbooleantrue if the address passed screening, false if not.
reasonstringThe reason screening failed. Returned only when is_approved is false.
Body Params
string
required
string
required
Headers
string
required

Base64 encoded string, containing request body, encrypted with the sha512 algorithm using RSA 4096 bit public key

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json